import { Overlay } from '@angular/cdk/overlay';
import { ToastConfig } from './toast.config';
export declare class ToastService {
    private counter;
    private component;
    private idPrefix;
    constructor(overlay: Overlay);
    private _createToast;
    private _generateComponentId;
    /**
     * create a success toast
     * @default false
     */
    success(content: string, options?: ToastConfig): void;
    /**
     * create a error toast
     * @default false
     */
    error(content: string, options?: ToastConfig): void;
    /**
     * create a info toast
     * @default false
     */
    info(content: string, options?: ToastConfig): void;
    /**
     * create a warn toast
     * @default false
     */
    warn(content: string, options?: ToastConfig): void;
    /**
     * create a toast
     * @default false
     */
    create(type: string, content: string, options?: ToastConfig): void;
}
